Heap buffer overflow in WebRTC in Google Chrome prior to 103.0.5060.114 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page.
Published 2022-07-28 02:15:08
Updated 2023-11-25 11:15:09
Source Chrome
View at NVD,   CVE.org
Vulnerability category: OverflowMemory Corruption

CVE-2022-2294 is in the CISA Known Exploited Vulnerabilities Catalog

CISA vulnerability name:
WebRTC Heap Buffer Overflow Vulnerability
CISA required action:
Apply updates per vendor instructions.
CISA description:
WebRTC, an open-source project providing web browsers with real-time communication, contains a heap buffer overflow vulnerability that allows an attacker to perform shellcode execution. This vulnerability impacts web browsers using WebRTC including but not limited to Google Chrome.
Notes:
https://groups.google.com/g/discuss-webrtc/c/5KBtZx2gvcQ
Added on 2022-08-25 Action due date 2022-09-15

Exploit prediction scoring system (EPSS) score for CVE-2022-2294

Probability of exploitation activity in the next 30 days: 1.15%

Percentile, the proportion of vulnerabilities that are scored at or less: ~ 84 % EPSS Score History EPSS FAQ

CVSS scores for CVE-2022-2294

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source
8.8
HIGH CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
2.8
5.9
NIST

CWE ids for CVE-2022-2294

  • The product writes data past the end, or before the beginning, of the intended buffer.
    Assigned by: nvd@nist.gov (Primary)

References for CVE-2022-2294

Products affected by CVE-2022-2294

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!